#ifndef DCC_H
#define DCC_H


#define DCC_LocoSpeedmode_14    14
#define DCC_LocoSpeedmode_27    28
#define DCC_LocoSpeedmode_28    28
#define DCC_LocoSpeedmode_127   126

#define DCC_Error_NONE          0
#define DCC_Error_Timeout       1

#define DCC_SPST1               (1<<7)
#define DCC_SPST0               (1<<6)

#define DCC_Error_None          0x00
#define DCC_Error_TimeoutSync   0xB0
#define DCC_Error_TimeoutByte   0xB1

// in 50s increments, 2k =~100ms
#define DCC_COMM_Timeout        2000



/********************************************/
unsigned int DCC_ConfiguredLokos[32];

/********************************************/
unsigned char DCC_SetLocoSpeed(unsigned char LocoDEVNUM, unsigned char LocoSpeed, unsigned char DIR, unsigned char LIGHT); 
unsigned char DCC_SendData2ODCC(unsigned char *Txbuf, unsigned char *Rxbuf,unsigned char Txlen, unsigned char Rxlen,unsigned int Timeout);

unsigned char DCC_AddConfiguredListEntry(unsigned int Devnum);
unsigned int DCC_SearchConfiguredListEntry(unsigned int Devnum);
unsigned char DCC_Map_CONFIG2Speed(unsigned char Config);
#endif

