#ifndef EEP_24FC256_H
#define EEP_24FC256_H

#include "TWI_M_P.h"



#define EEP24256_TWI  0

/* define EEP Adress(es) */
#define EEP_24FC512_ADR_0   80

#define EEP_24FC512_Error_NONE  0
#define EEP_24FC512_Error_NACK  1


#define EEP_24FC512_PageSize    128




/* functions */
unsigned char EEP_24FC512_ReadPage(unsigned int Adress,unsigned char *data);
unsigned char EEP_24FC512_WritePage(unsigned int Adress,unsigned char *data);
unsigned char EEP_24FC512_Init(void);
unsigned char EEP_24FC512_WriteByte(unsigned int Adress,unsigned char data);
unsigned char EEP_24FC512_ReadByte(unsigned int Adress,unsigned char *data);
unsigned char EEP_24FC512_CheckBusy(unsigned char EEP_Adress);
unsigned char EEP_24FC512_ReadMultiByte(unsigned int Adress,unsigned char *data, unsigned char Len);
#endif
