#ifndef Systimer_H
#define Systimer_H


#define SYSTIMER_Reload_10ms   0xFEC7 



//-------------------------------------------------------------------------//
// USART LED (YEL)
#define USART_LED_INIT          PORTF.OUTCLR=PIN3_bm
#define USART_LED_OFF           PORTF.DIRCLR=PIN3_bm
#define USART_LED_ON            PORTF.DIRSET=PIN3_bm

#define USART_LED_Pulse         USART_LED_Timer=USART_LED_ONDelay

// delay in 10ms increments
#define USART_LED_ONDelay       25

//-------------------------------------------------------------------------//
// MODE LED (GRN)
#define MODE_LED_INIT          PORTF.OUTCLR=PIN2_bm
#define MODE_LED_OFF           PORTF.DIRCLR=PIN2_bm
#define MODE_LED_ON            PORTF.DIRSET=PIN2_bm


// delay in 10ms increments
#define MODE_LED_DelaySlow         80
#define MODE_LED_DelayFast         20
#define MODE_LED_DelayPING         200

#define LED_Status_Flag_Slow       (1<<1)
#define LED_Status_Flag_PING       (1<<2)
#define LED_Status_Flag_LEDON      (1<<0)

//-------------------------------------------------------------------------//



//-------------------------------------------------------------------------//
// timeout in 10ms increments
#define SysTimer_TWI_TimeoutTime    3

//-------------------------------------------------------------------------//


volatile unsigned char USART_LED_Timer;
volatile unsigned char MODE_LED_Timer;  
volatile unsigned char LED_Statusreg;


volatile unsigned int SysTimer_TWI_TO;
volatile unsigned int SysTimer_LevelMeter;
volatile unsigned int SysTimer_Delay;
volatile unsigned int SysTimer_TaskTimeout;
volatile unsigned int SysTimer_485_Timeout;

void SysTimer_Init(void);
void SysTimer_Delay_ms(unsigned int Value);
void SysTimer_Delay_cylces(unsigned int Value);
void SysTimer_Delay_cycleslong(unsigned int Value);

void SysTimer_TWITO_Start(void);
unsigned char SysTimer_TWITO_Test(void);
void SysTimer_TWITO_End(void);
#endif
