#ifndef DEVICES_H
#define DEVICES_H

/****************************************************************/
/*
#define CMD_BUS485_Trackswitch_SETBRANCH		0x0202
#define CMD_BUS485_Trackswitch_SETSTRAIGHT		0x0201
#define CMD_BUS485_Trackswitch_READ				0x0211

#define CMD_BUS485_SIGNAL_SET   				0x0201
#define CMD_BUS485_SIGNAL_GET   				0x0301

#define CMD_RS485_GETInfo						0x0101
#define CMD_RS485_CheckBUSY						0x0000

*/

//** 0x0200 - 0x023F Trackswitch **** 
#define CMD_BUS485_Trackswitch_SETBRANCH		0x0202
#define CMD_BUS485_Trackswitch_SETSTRAIGHT		0x0201
#define CMD_BUS485_Trackswitch_READ				0x0211

//** 0x0240 - 0x027F Signals ****
#define CMD_BUS485_SIGNAL_SET   				0x0241
#define CMD_BUS485_SIGNAL_GET   				0x0251

//** 0x0280 - 0x02BF Light (Illumination) ****
#define CMD_BUS485_LIGHT_SET   				    0x0281
#define CMD_BUS485_LIGHT_SETREG 			    0x0282

//** 0x0000 - 0x01FF COMMON ****
#define CMD_RS485_CheckBUSY						0x0000
#define CMD_RS485_GETInfo						0x0101
#define CMD_RS485_GETInfo_SUB					0x0102
#define CMD_RS485_GETLAST_Error					0x0103

//** 0xFF00 - 0xFFFF COMMON ****
#define CMD_RS485_SET_NEW_ADRESS_I2C			0xFF01



/****************************************************************/
/* variables */
/****************************************************************/
unsigned char SYS_Detected_OpenDCC;			     // up to 8 OpenDCC :-)
unsigned char SYS_Detected_PowerDist[8];		// up to 8 PowerDist
unsigned char SYS_Detected_PowerSourceAn[9];	// up to 8 AnalogPowerSources


/****************************************************************/
/* functions */
/****************************************************************/



/* Layer 2 */
void DEV_TASV_GetDIB(unsigned int num);
void DEV_64BYTE_WriteDIB(unsigned int num);
void DEV_64BYTE_GetDIB_short(unsigned int num);
void DEV_64BYTE_GetDIB_long(unsigned int num);
void DEV_4BYTE_GetDIB(unsigned int num);
void DEV_4BYTE_WriteDIB(unsigned int num);
unsigned int DEV_DevicetypenumtoEEPAdress(void);

unsigned char DEV_toupper(unsigned char in);
/**************************************************************/
#endif
