#ifndef EEP_24FC1025_H
#define EEP_24FC1025_H

#include "TWI_M_P.h"



#define EEP241025_TWI  0

/* define EEP Adress(es) */
#define EEP_24FC1025_ADR_0 10
#define EEP_24FC1025_ADR_1 11     

#define EEP_24FC1025_Error_NONE  0
#define EEP_24FC1025_Error_NACK  1


#define EEP_24FC1025_PageSize    128




/* functions */
unsigned char EEP_24FC1025_ReadPage(unsigned int long Adress,unsigned char *data);
unsigned char EEP_24FC1025_WritePage(unsigned int Adress,unsigned char *data);
unsigned char EEP_24FC1025_Init(void);
unsigned char EEP_24FC1025_WriteByte(unsigned int Adress,unsigned char data);
unsigned char EEP_24FC1025_ReadByte(unsigned int Adress,unsigned char *data);
unsigned char EEP_24FC1025_CheckBusy(unsigned char EEP_Adress);
unsigned char EEP_24FC1025_ReadMultiByte(unsigned int Adress,unsigned char *data, unsigned char Len);

void EEP_24FC1025_MapAdress_2_I2CADR_BADR(unsigned long Adress, unsigned char *I2CADR,unsigned int *BADR);
#endif
